Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hilbert II - JAVA-Packages - Principia Mathematica II
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.meyling.principia.html
Class Latex2Html

    java.lang.Object
      com.meyling.principia.html.Latex2Html

public final class Latex2Html
extends Object

This class provides static methods for converting latex into html.

Version:
  $Revision: 1.26 $
Author:
  Michael Meyling

Constructor Summary
`Latex2Html(TextInput input, Output output)` Constructor that does it all.

Method Summary
`static String` | `convert(String latex)` Takes the given LaTeX text and convert it into html.
`static void` | `main(String[] argument)` Takes the given file names (without ".tex") and converts them into html.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Latex2Html

    public Latex2Html(TextInput input,
                      Output output)

  Constructor that does it all.

Parameters:
  `input` - read from this object
  `output` - write to this object

Method Detail

### main

    public static final void main(String[] argument)

  Takes the given file names (without ".tex") and converts them into html. The resulting files are at the same position but have the ending ".html".

  Parameters:
    `argument` - list of LaTeX files to convert

### convert

    public static final String convert(String latex)

  Takes the given LaTeX text and convert it into html.

  Parameters:
    `latex` - LaTeX text to convert
  Returns:
    html text

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hilbert II - JAVA-Packages - Principia Mathematica II
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

©left GNU General Public Licence All Rights Reserved.